/*
**	Copyright 2000 Be Incorporated. All Rights Reserved.
**	This file may be used under the terms of the Be Sample Code 
**	License.
*/

#ifndef CADITEM_H
#define CADITEM_H

#include <Archivable.h>
#include <Message.h>

#define BEITEM_DATA_MESSAGE 'biDA'

class _EXPORT CadItem : public BArchivable {

public:
	CadItem() {};
	CadItem(BMessage *archive) {} ;
	virtual status_t Archive(BMessage *archive, bool deep) const;

	virtual void DrawItem(BView *owner) = 0 ;
	
	static BArchivable *Instantiate(BMessage *archive) {};
	
};

#endif